<?xml version = "1.0" encoding = "UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
<?php
// $languages = array_diff(sfConfig::get('app_translations_available_languages', array()), sfConfig::get('app_translations_disabled', array())) ;
$language = sfConfig::get('app_translations_default_language', sfConfig::get('app_catalyz_language', 'en')) ;
$site_url = sfConfig::get('app_site_url');
$ContentTree = ContentTree::instance($language);
$ContentTree->build();
$iterator = new ContentTreeNodeIterator($ContentTree);
while ($iterator->valid()) {
    $ContentTreeNode = $iterator->next();
    if ($ContentTreeNode) {
        printf('<url><loc>%s</loc></url>', $site_url . $ContentTreeNode->getUrl());
    }
}

?>
</urlset>